Subject: Re: bug#51659: 29.0.50; emoji.el: incorrect description for some emojis in emoji-list

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Nov 2021 16:39:49 +0100

Eli Zaretskii <[email-masked]> writes:

> Then I think it's safer to narrow the buffer so it starts at point
> (temporarily, for the duration of the find-composition call).  Then
> your original code should work.

So narrow to (point) (point-max)?  *testing*  Yup, that works.

> The way you do it the function can surprise you (because of lookback
> and because LIMIT limits only where the _first_ character of the
> composition may start.

Ah, I see...  I think...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no